View card tokens

Allows you to view all saved card tokens based on the given criteria.

Note

Nexio does not currently support returning terminal tokens from this endpoint. Instead, use the terminal's token with the View card token details endpoint.

Saved card tokens can be used to process through any MID on your account. They are not restricted to a specific merchant account or currency.

Try It

To use the Try It feature for this endpoint, you can use the credentials for your Sandbox API user.

You can include any of the possible filters, or none of them, in your request. For example, /card/v3/?expirationYear<2024&merchantId=000999 to return all records for the given merchantId and a card expiration year before 2024.

Request parameters

  • limit
  • offset
  • createdAt
  • updatedAt
  • merchantId
  • merchantIds
  • customerRef
  • expirationMonth
  • expirationYear
  • accountUpdaterStatus
  • shouldUpdateCard
  • lastAccountUpdaterUpdate
  • pauseAccountUpdater
  • cardType
  • firstSix
  • lastFour
  • token
  • cardHolderName

Response parameters

  • limit
  • offset
  • hasMore
  • rows.key
  • rows.merchantId
  • rows.customerRef
  • rows.expirationMonth
  • rows.expirationYear
  • rows.accountUpdaterStatus
  • rows.shouldUpdateCard
  • rows.lastAccountUpdaterUpdate
  • rows.pauseAccountUpdater
  • rows.createdAt
  • rows.updatedAt
  • rows.cardType
  • rows.firstSix
  • rows.lastFour
  • rows.token
  • rows.cardHolderName
  • random-nnnn
Query Params
integer
Defaults to 10

The number of records to return.

integer
Defaults to 0

The offset. Used to view records further along the list.

string

The date and time the payment record was created in Nexio.

string

The date and time at which the payment record was most recently updated in Nexio.

string

The merchant ID associated with the card token. This value is used as the input for an exact search.

string

A comma-separated list of one or more merchant IDs. Each value is used as the input for an exact search of the merchant ID for a card token.

string

Customer identifier. If included in the request, the system only searches for exact matches to the value.

string

The one-digit or two-digit month in which the card expires. This value is used as the input for an exact search.

string

The year (typically two-digit) in which the card will expire. This value is used as the input for an exact search.

string

The card type specified when the card token was created. This value is used as the input for a fuzzy search.

string

The cardholder's name as it appears on the card. This value is used as the input for a fuzzy search.

string

The first six digits of the card number. This value is used as the input for a fuzzy search.

string

The last four digits of the card number. This value is used as the input for a fuzzy search.

string
deprecated

The card's account updater status with legacy providers. This parameter has been deprecated. For a list of possible values and meanings, see the account updater card status table in Guides. This value is used as the input for a fuzzy search.

string

The most recent update to the card token from Account Updater. Possible values to search are cardExpiration, cardNumber, or accountClosed. This value is used as the input for a fuzzy search.

string
deprecated

This parameter has been deprecated. For Nexio internal use only.

string

The Boolean value that indicates whether Account Updater is enabled for this card token. This value is used as the input for an exact search.

Responses

Language
Credentials
Basic
base64
:
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json